org.modeshape.jcr.api

## Class PropertyType

- java.lang.Object
- - org.modeshape.jcr.api.PropertyType

-     public final class PropertyType
      extends Object

  ModeShape extension of the `PropertyType` class, which allows additional property types.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SIMPLE_REFERENCE` The `SIMPLE_REFERENCE` property type is used to store references to nodes without also storing back-references.
    `static String` | `TYPENAME_SIMPLE_REFERENCE` The type name for `SIMPLE_REFERENCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `nameFromValue(int type)` Returns the name of the specified `type`.
    `static int` | `valueFromName(String name)` Returns the numeric constant value of the type with the specified name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SIMPLE_REFERENCE

          public static final int SIMPLE_REFERENCE

      The `SIMPLE_REFERENCE` property type is used to store references to nodes without also storing back-references.
      See Also:
        Constant Field Values

    - #### TYPENAME_SIMPLE_REFERENCE

          public static final String TYPENAME_SIMPLE_REFERENCE

      The type name for `SIMPLE_REFERENCE`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### nameFromValue

          public static String nameFromValue(int type)

      Returns the name of the specified `type`.
      Parameters:
        `type` - the property type
      Returns:
        the name of the specified `type`
      Throws:
        `IllegalArgumentException` - if `type` is not a valid property type.

    - #### valueFromName

          public static int valueFromName(String name)

      Returns the numeric constant value of the type with the specified name.
      Parameters:
        `name` - the name of the property type.
      Returns:
        the numeric constant value.
      Throws:
        `IllegalArgumentException` - if `name` is not a valid property type name.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.